
Ryzom - Bug # 932

Status: Closed Priority: Immediate
Author: Nin-lil-izi Category: NeL: General
Created: 05/24/2010 Assignee: kervala
Updated: 05/28/2010 Due date:
Subject: Error building nel under 64bit Lucid in 'unix_event_emitter.cpp'
Description

This is a new failure that has only occured within the last day.

[ 18%] Built target nelmisc
[ 66%] Built target nel3d
[ 66%] Building CXX object src/3d/driver/opengl/CMakeFiles/nel_drv_opengl.dir/unix_event_emitter.cpp.o
/home/nin-lil-izi/build/ryzom/code/nel/src/3d/driver/opengl/unix_event_emitter.cpp: In function ‘NLMISC::TKey
NLMISC::getKey(KeySym)’:
/home/nin-lil-izi/build/ryzom/code/nel/src/3d/driver/opengl/unix_event_emitter.cpp:225: error: expected primary-expression before ‘}’
token
/home/nin-lil-izi/build/ryzom/code/nel/src/3d/driver/opengl/unix_event_emitter.cpp:225: error: expected ‘;’ before ‘}’ token
make2: * [src/3d/driver/opengl/CMakeFiles/nel_drv_opengl.dir/unix_event_emitter.cpp.o] Error 1
make1:  [src/3d/driver/opengl/CMakeFiles/nel_drv_opengl.dir/all] Error 2
make: ** [all] Error 2

History
#1 - 05/24/2010 05:59 pm - kervala
- Category set to NeL: General
- Status changed from New to Resolved
- Assignee set to kervala
- Priority changed from Normal to Immediate
- Target version set to Version 0.8.0

#2 - 05/24/2010 06:19 pm - kervala
- % Done changed from 0 to 100

#3 - 05/25/2010 03:02 pm - aquatic

Another error in the same file with last revision

Bureau/ryzom/code/nel/src/3d/driver/opengl/unix_event_emitter.cpp: In function ‘NLMISC::TKey NLMISC::getKey(KeySym)’:
Bureau/ryzom/code/nel/src/3d/driver/opengl/unix_event_emitter.cpp:223: error: expected primary-expression before ‘<<’ token
Bureau/ryzom/code/nel/src/3d/driver/opengl/unix_event_emitter.cpp:223: error: expected primary-expression before ‘<<’ token
Bureau/ryzom/code/nel/src/3d/driver/opengl/unix_event_emitter.cpp:223: error: expected primary-expression before ‘<<’ token
Bureau/ryzom/code/nel/src/3d/driver/opengl/unix_event_emitter.cpp:223: error: expected primary-expression before ‘<’ token
Bureau/ryzom/code/nel/src/3d/driver/opengl/unix_event_emitter.cpp:223: error: ‘local’ was not declared in this scope
Bureau/ryzom/code/nel/src/3d/driver/opengl/unix_event_emitter.cpp:224: error: expected ‘;’ before ‘default’
make2: * [src/3d/driver/opengl/CMakeFiles/nel_drv_opengl.dir/unix_event_emitter.cpp.o] Erreur 1
make1:  [src/3d/driver/opengl/CMakeFiles/nel_drv_opengl.dir/all] Erreur 2
make: ** [all] Erreur 2

#4 - 05/25/2010 08:16 pm - rti

08/23/2018 1/2

#fn2
#fn1
#fn2
#fn1


Make sure you got the latest version. It does build here.

#5 - 05/28/2010 05:24 pm - vl
- Status changed from Resolved to Closed
